# GNU Guix --- Functional package management for GNU
# Copyright © 2014, 2015, 2016 Alex Kost <alezost@gmail.com>
# Copyright © 2016 Mathieu Lirzin <mthl@gnu.org>
#
# This file is part of GNU Guix.
#
# GNU Guix is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
#
# GNU Guix is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.

AUTOLOADS = emacs/guix-autoloads.el

ELFILES =					\
  emacs/guix-backend.el				\
  emacs/guix-base.el				\
  emacs/guix-build-log.el			\
  emacs/guix-buffer.el				\
  emacs/guix-command.el				\
  emacs/guix-devel.el				\
  emacs/guix-emacs.el				\
  emacs/guix-entry.el				\
  emacs/guix-external.el			\
  emacs/guix-geiser.el				\
  emacs/guix-guile.el				\
  emacs/guix-help-vars.el			\
  emacs/guix-history.el				\
  emacs/guix-hydra.el				\
  emacs/guix-hydra-build.el			\
  emacs/guix-hydra-jobset.el			\
  emacs/guix-info.el				\
  emacs/guix-init.el				\
  emacs/guix-license.el				\
  emacs/guix-list.el				\
  emacs/guix-location.el			\
  emacs/guix-messages.el			\
  emacs/guix-pcomplete.el			\
  emacs/guix-popup.el				\
  emacs/guix-prettify.el			\
  emacs/guix-profiles.el			\
  emacs/guix-read.el				\
  emacs/guix-ui.el				\
  emacs/guix-ui-license.el			\
  emacs/guix-ui-location.el			\
  emacs/guix-ui-package.el			\
  emacs/guix-ui-generation.el			\
  emacs/guix-ui-system-generation.el		\
  emacs/guix-utils.el

if HAVE_EMACS

dist_lisp_DATA = $(ELFILES)

nodist_lisp_DATA = 		\
  emacs/guix-config.el		\
  $(AUTOLOADS)

$(AUTOLOADS): $(ELFILES)
	$(AM_V_EMACS)$(EMACS) --batch --eval				\
	  "(let ((backup-inhibited t)					\
	         (generated-autoload-file				\
	          (expand-file-name \"$(AUTOLOADS)\" \"$(builddir)\")))	\
	     (update-directory-autoloads				\
	      (expand-file-name \"emacs\" \"$(srcdir)\")))"

CLEANFILES += $(AUTOLOADS)

endif HAVE_EMACS
